<?php
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion

require_once("../includes/funciones_generales.php");
if(!comprobar_sesion()){
	$ar=array();
	$ar['error']='session';
	echo json_encode($ar);
	exit;
}
require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

if(isset($_POST['oper'])){
	$acction=$_POST['oper'];
	$codigo=$_POST['id']; //codigo del regidtro
	
	$nomarea=$_POST['nom_area'];
	switch($acction){
		case 'del':
			$sql="delete from `aca_areas`  WHERE `cod_area` = '$codigo';";
		break;
		case 'edit';
			$sql="UPDATE aca_areas SET  nom_area = '$nomarea' WHERE cod_area = '$codigo';";
		break;
		case 'add':
			$sql="INSERT INTO `aca_areas`(`nom_area`) VALUES ('$nomarea');";
		break;
		default:
			$sql="";
	}
	//echo $sql;
	if($sql!=''){
		$academia->instruccion($sql);
		if($acction=='add'){
			$rta=array('error'=>$academia->extraer_error(),'id'=>$academia->ultima_fila());
			echo json_encode($rta);
		}else{
			$rta=array('error'=>$academia->extraer_error(),'id'=>$codigo);
			echo json_encode($rta);
		}
	}		
}
$academia->cerrar();
?>